EEPROM(4)

NAME
eeprom - non-volatile RAM / real time clock

SYNOPSIS
device genclock
device mk48txx
device eeprom

DESCRIPTION
The eeprom driver is a front-end for the machine-independent Mostek MK48Txx driver. The Mostek MK48Txx driver provides access to the real time clock and the watchdog part of the supported chips to FreeBSD by interfacing them with the generic clock code and watchdog(4) respectively.

Mostek MK48Txx chips providing real time clock functionality are found on the EBus, FireHose and SBus busses of UltraSPARC systems. On systems where the hostid is stored in the NVRAM part of the Mostek MK48Txx chip the eeprom driver prints out the hostid on attach.

On Sun Enterprise 250 and 450 systems additionally the watchdog functionality of the Mostek MK48Txx chips is available. The eeprom driver automatically registers the watchdog part with watchdog(4) on these systems. Thus it can be used with watchdog(8) and watchdogd(8). The timeout interval supported by the Mostek MK48Txx watchdog is 1/16 second to 128 seconds. In the Sun Enterprise machines a system reset is triggered when the Mostek MK48Txx watchdog times out regardless of what the Open Firmware environment variable watchdog-reboot? is set to.

DIAGNOSTICS
The following driver specific error message may be reported:

mk48txx_attach: battery low The device signals that its battery is low and should be replaced. The eeprom driver refused to attach the device in this case as the time in the real time clock is probably invalid. This gives the generic clock code the chance to use another device as the system real time clock that otherwise would not have been chosen.

SEE ALSO
ebus(4), fhc(4), rtc(4), sbus(4), watchdog(4), watchdog(8), watchdogd(8)

HISTORY
The eeprom driver first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The eeprom driver was written by Thomas Moestl <tmm@FreeBSD.org> based on the NetBSD sparc64 clock code written by Paul Kranenburg.